<script>
  import PouchDB from "pouchdb-browser";
  import find from "pouchdb-find";
  PouchDB.plugin(find);

  const ENTER_KEY = 13;
  const db = new PouchDB("tiny-amazon");

  export let searchResult;
  export let search;

  async function search_docs(event) {
    if (event.which === ENTER_KEY) {
      db.createIndex({
        index: {
          fields: [search]
        }
      })
      .then(function(result) {
        if(search == 'title') {

          db.find({
            selector: { title: { $regex: `.*${event.target.value}.*` } },
          fields: ["title", "url", "img", "author"],
          sort: [search]
        })
          .then(function(result) {
            searchResult = result;
          })
          .catch(function(error) {
            console.log(error);
          });
        } else if(search == 'author') {
          db.find({
            selector: { author: { $regex: `.*${event.target.value}.*` } },
          fields: ["title", "url", "img", "author"],
          sort: [search]
        })
          .then(function(result) {
            searchResult = result;
          })
          .catch(function(error) {
            console.log(error);
          });
        }
      })
      .catch(function(err) {
        console.log(err);
      });
    }
  }
</script>

<div class="pt-6 relative mx-auto text-gray-600 px-6">
  <input
    on:keydown={search_docs}
    class="border-2 border-gray-300 bg-white h-10 px-5 pr-16 rounded-lg text-sm
    focus:outline-none focus:shadow-outline w-full"
    type="search"
    name="search"
    placeholder="Search" />
  <button type="submit" class="absolute right-0 top-0 mt-8 mr-8">
    <svg
      class="text-gray-600 h-5 w-5 fill-current"
      xmlns="http://www.w3.org/2000/svg"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      version="1.1"
      id="Capa_1"
      x="0px"
      y="0px"
      viewBox="0 0 56.966 56.966"
      style="enable-background:new 0 0 56.966 56.966;"
      xml:space="preserve"
      width="512px"
      height="512px">
      <path
        d="M55.146,51.887L41.588,37.786c3.486-4.144,5.396-9.358,5.396-14.786c0-12.682-10.318-23-23-23s-23,10.318-23,23
        s10.318,23,23,23c4.761,0,9.298-1.436,13.177-4.162l13.661,14.208c0.571,0.593,1.339,0.92,2.162,0.92
        c0.779,0,1.518-0.297,2.079-0.837C56.255,54.982,56.293,53.08,55.146,51.887z
        M23.984,6c9.374,0,17,7.626,17,17s-7.626,17-17,17
        s-17-7.626-17-17S14.61,6,23.984,6z" />
    </svg>
  </button>
</div>
